Subject: [alpine-aports] [PATCH] testing/slock: new aport

From: Sören Tempel <[email-masked]>
Date: Wed, 12 Aug 2015 23:07:43 +0200

---
 testing/slock/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/slock/APKBUILD

diff --git a/testing/slock/APKBUILD b/testing/slock/APKBUILD
new file mode 100644
index 0000000..16b2b96
--- /dev/null
+++ b/testing/slock/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Sören Tempel <[email-masked]>
+# Maintainer: Sören Tempel <[email-masked]>
+pkgname=slock
+pkgver=1.2
+pkgrel=0
+pkgdesc="A simple screen locker for X"
+url="http://tools.suckless.org/slock/"
+arch="all"
+license="MIT"
+depends=""
+depends_dev="libxext-dev"
+makedepends="$depends_dev"
+install=""
+source="http://git.suckless.org/$pkgname/snapshot/$pkgname-$pkgver.tar.gz"
+options="suid"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	cd "$_builddir"
+
+	local i=
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1 ;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make X11INC=/usr/include/X11 X11LIB=/usr/lib/X11
+}
+
+package() {
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install
+}
+
+md5sums="bf404672242cf6575f07e094822b3ae8  slock-1.2.tar.gz"
+sha256sums="0e577e4dca26063d3a4f06c1d4dac4c085a3481dfc00ad805f01f0a3dc676677  slock-1.2.tar.gz"
+sha512sums="96b3853ef73dea5f11254babe332c43a3d011c0a04f301c178dbfa3f2c5b4c2aa300fe70d7bbde6bbd57dbc7a8a5b94bc8dcf81e2175fd671d36237798853045  slock-1.2.tar.gz"
-- 
2.5.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---